using RRQMCore.Log;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.Core
{
    public class LogerBox : ILog
    {
        private Action<string, Exception> action;

        public LogerBox(Action<string, Exception> act)
        {
            action = act;
        }

        public void Debug(LogType logType, object source, string message, Exception exception)
        {
            action(message, exception);
        }

        public void Debug(LogType logType, object source, string message)
        {
            action(message, null);
        }
    }
}
